Contents

# Eof Function

Vraća da li je pokazivač u datoteci dosegao kraj datoteke.

### Syntax:

    Eof (intexpression As Integer)

### Return value:

Bool

### Parameters:

Intexpression: Any integer expression that evaluates to the number of an open file.

Koristite EOF da izbjegnete greske kada pokusate citati iza zavrsetka datoteke. Kada koristite Input ili Get izraz za citanje iz datoteke, pokazivac na datoteku se pomice za roj procitanih bajtova. Kada se dođe do kraja datoteke, EOF vraća vrijednost "True" (-1)

### Error codes:

5 Invalid procedure call

52 Invalid file name or file number

### Example:

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "C:\Users\ThisUser\data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Print #iNumber, "This is a line of text"
          Print #iNumber, "This is another line of text"
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "~/data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Print #iNumber, "This is a line of text"
          Print #iNumber, "This is another line of text"
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

Related Topics

Close Statement

Print# Statement

Input# Statement

Open Statement